Loading...
Searching...
No Matches
PurplePrivacyUiOps Struct Reference

Privacy core/UI operations. More...

`#include <privacy.h>`

## Data Fields

void(* | permit_added )(PurpleAccount *account, const char *name)
void(* | permit_removed )(PurpleAccount *account, const char *name)
void(* | deny_added )(PurpleAccount *account, const char *name)
void(* | deny_removed )(PurpleAccount *account, const char *name)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Privacy core/UI operations.

Definition at line 50 of file privacy.h.

## Field Documentation

## _purple_reserved1

void(* PurplePrivacyUiOps::_purple_reserved1) (void)

Definition at line 57 of file privacy.h.

## _purple_reserved2

void(* PurplePrivacyUiOps::_purple_reserved2) (void)

Definition at line 58 of file privacy.h.

## _purple_reserved3

void(* PurplePrivacyUiOps::_purple_reserved3) (void)

Definition at line 59 of file privacy.h.

## _purple_reserved4

void(* PurplePrivacyUiOps::_purple_reserved4) (void)

Definition at line 60 of file privacy.h.

## deny_added

void(* PurplePrivacyUiOps::deny_added) (PurpleAccount *account, const char *name)

Definition at line 54 of file privacy.h.

## deny_removed

void(* PurplePrivacyUiOps::deny_removed) (PurpleAccount *account, const char *name)

Definition at line 55 of file privacy.h.

## permit_added

void(* PurplePrivacyUiOps::permit_added) (PurpleAccount *account, const char *name)

Definition at line 52 of file privacy.h.

## permit_removed

void(* PurplePrivacyUiOps::permit_removed) (PurpleAccount *account, const char *name)

Definition at line 53 of file privacy.h.

The documentation for this struct was generated from the following file:

- privacy.h